System Requirements for Scooter Software's Online Shop

SSL/HTTPS Requirement

Scooter Software's online shop and other secure (HTTPS) portions of our website require TLS v1.2 encryption.  SSLv2, SSLv3, TLS 1.0, and TLS 1.1 are not supported.  Javascript must also be enabled to access the online shop.

Error Messages in Unsupported Browsers

If you see one of the following error messages in your browser, it might be too old to support the encryption required to access secure portions of our website.

  • The page cannot be displayed. (IE 6)
  • Internet Explorer cannot display the webpage. (IE 8)
  • This page can't be displayed. (IE 10)

Supported Browsers and Operating Systems

  • Windows 7 with Internet Explorer 11
  • Windows 8/8.1 with Internet Explorer 11
  • Windows 10 with Microsoft Edge
  • OS X 10.9 with Safari 7
  • OS X 10.10 with Safari 8
  • OS X 10.11 with Safari 9
  • Google Chrome 30 or newer
  • Mozilla Firefox 27 or newer

Not Supported

  • Windows XP with Internet Explorer 6-8
  • Windows Vista with Internet Explorer 7-9
  • Windows 7 with Internet Explorer 10
  • OS X 10.6 with Safari 5
  • OS X 10.8 with Safari 6

Solution

If you're unable to connect to our secure site, make sure you've installed all available updates for your operating system.  If your operating system provided web browser (Internet Explorer, Safari) is unable to connect to our secure site, try an up to date version of Google Chrome or Mozilla Firefox.

Test Your Browser

To verify your operating system and browser support newer encryption standards, use the Test Your Browser page at Qualys SSL Labs.

Why are older versions of SSL and TLS not supported?

Payment Card Industry Data Security Standard (PCI DSS), v3.1, section 2.2.3: "SSL and early TLS are not considered strong cryptography and cannot be used as a security control after June 30, 2016."  To comply with this requirement, our secure site only supports TLS 1.2.  Reference: PCI DSS v3.1 Requirements and Security Assessment Procedures

Copyright © 2017 Scooter Software, Inc.